Function
atEnd
Determines whether an iterator is at the end position.
bool atEnd(iterator [, container])
atEnd(file,it)
atEnd(file,object);
Include Headers
seqan/basic.h, seqan/blast.h, seqan/graph_types.h
Parameters

iterator | An iterator. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, HitIterator, HspIterator, Out-Edge Iterator, Pipe, Pool, Segment, Vertex Iterator
container | Container of iterator. Remarks: If iterator implements Rooted Iterator then container is optional.
file | A file stream. A file stream.
it | An iterator. A Blast report. Types: BlastReport, HitIterator, HspIterator

Return Values
true if iterator points behind the last item of the container, otherwise false.
Example Programs
Iterator Basics
See Also
getNext, end, goEnd, atBegin
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46